# Contributing

When contributing to this repository, please first discuss the change you wish to make via issue,
email, or any other method with the owners of this repository before making a change.

Please note we have a [code of conduct](CODE_OF_CONDUCT.md), please follow it in all your
interactions with the project.

## Pull Request Process

We actively welcome your pull requests.

1. Fork the repo and create your branch from `master`
2. If you've added code that should be tested, add tests
3. If you've changed APIs, update the documentation
4. Ensure the test suite passes with PHPUnit: `phpunit`
5. Make sure your code style with [PHP-CS-Fixer](https://github.com/FriendsOfPHP/PHP-CS-Fixer): `php-cs-fixer fix`
